Imports System.Windows.Forms

Public Class MyLinkLabelVALUE
    Inherits System.Windows.Forms.LinkLabel

    Public Property valuename As String
    Public Property linkedTextBox As TextBox

    Protected Overrides Sub OnClick(e As EventArgs)
        MyBase.OnClick(e)
    End Sub

End Class


Public Class MyLinkPicBoxVALUE
    Inherits System.Windows.Forms.PictureBox

    Public Property valuename As String
    Public Property linkedTextBox As TextBox
    Public Property linkedPictureBox As PictureBox

    Protected Overrides Sub OnClick(e As EventArgs)
        MyBase.OnClick(e)
    End Sub

End Class